
Redmine - Patch #35136

Update RuboCop to 1.25

2021-04-21 06:20 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.0.0   

Description

Associated revisions

Revision 20954 - 2021-04-21 06:35 - Go MAEDA

Update RuboCop to 1.13 (#35136).

Revision 20986 - 2021-05-07 06:07 - Go MAEDA

Regenerate .rubocop_todo.yml (#35136).

Revision 20987 - 2021-05-07 06:16 - Go MAEDA

Update RuboCop to 1.14 (#35136).

Revision 21004 - 2021-05-18 04:42 - Go MAEDA

Update RuboCop to 1.15 (#35136).

Revision 21026 - 2021-06-06 05:39 - Go MAEDA

Update RuboCop to 1.16 (#35136).

Revision 21039 - 2021-06-19 03:54 - Go MAEDA

Update RuboCop to 1.17 (#35136).

Revision 21301 - 2021-12-10 06:30 - Go MAEDA

Regenerate .rubocop_todo.yml (#35136).

Revision 21302 - 2021-12-10 06:46 - Go MAEDA

Update RuboCop to 1.23 (#35136).

Revision 21303 - 2021-12-10 06:53 - Go MAEDA

Fix RuboCop offense Layout/ClosingParenthesisIndentation (#35136).

Revision 21321 - 2021-12-24 05:53 - Go MAEDA

Regenerate .rubocop_todo.yml (#35136).

Revision 21322 - 2021-12-24 06:30 - Go MAEDA

Fixes for Style/FileWrite offense introduced in RuboCop 1.24.0 (#35136).

Revision 21323 - 2021-12-24 06:42 - Go MAEDA

Update RuboCop to 1.24 (#35136).

Revision 21369 - 2022-01-18 16:39 - Go MAEDA

Regenerate .rubocop_todo.yml (#35136).

Revision 21370 - 2022-01-18 16:45 - Go MAEDA

Update RuboCop to 1.25 (#35136).
Revision 21451 - 2022-03-10 03:43 - Go MAEDA

Regenerate .rubocop_todo.yml (#35136).

Revision 21452 - 2022-03-10 03:51 - Go MAEDA

Update RuboCop to 1.26 (#35136).

History

#1 - 2021-04-21 06:36 - Go MAEDA

- Status changed from New to Closed

Update RuboCop to 1.13 in r20954.

#2 - 2021-05-07 06:16 - Go MAEDA

- Subject changed from Update RuboCop to 1.13 to Update RuboCop to 1.14

Update RuboCop to 1.14 in r20987.

#3 - 2021-05-18 04:42 - Go MAEDA

- Subject changed from Update RuboCop to 1.14 to Update RuboCop to 1.15

Update RuboCop to 1.15 in r21004.

#4 - 2021-06-06 05:40 - Go MAEDA

- Subject changed from Update RuboCop to 1.15 to Update RuboCop to 1.16

Update RuboCop to 1.16 in r21026.

#5 - 2021-06-19 03:54 - Go MAEDA

- Subject changed from Update RuboCop to 1.16 to Update RuboCop to 1.17

Update RuboCop to 1.17 in r21039.

#6 - 2021-12-10 06:54 - Go MAEDA

- Subject changed from Update RuboCop to 1.17 to Update RuboCop to 1.23

Update RuboCop to 1.23 in r21302.

#7 - 2021-12-24 06:43 - Go MAEDA

- Subject changed from Update RuboCop to 1.23 to Update RuboCop to 1.24

Update RuboCop to 1.24 in r21323.

#8 - 2022-01-18 16:48 - Go MAEDA

- Subject changed from Update RuboCop to 1.24 to Update RuboCop to 1.25

Updated RuboCop to 1.25 in r21370.
